(
	{  Menu = "";		},
	
	{  Menu = Day;		},
	{  Item = "4";			Content = "{D}";},
	{  Item = "04";			Content = "{DD}";},
	{  Item = "Fr";			Content = "{W}";},
	{  Item = "Friday";		Content = "{WW}";},
	{  Item = "-";},
	{  Item = "78 (in year)";		Content = "{J}";},
	{  Item = "078 (in year)";		Content = "{JJ}";},
	{  Item = "-";},
	{  Item = "1-7 (Mon-Sun)";		Content = "{DM1}";},
	{  Item = "0-6 (Mon-Sun)";		Content = "{DM0}";},
	{  Item = "1-7 (Sun-Sat)";		Content = "{DS1}";},
	{  Item = "0-6 (Sun-Sat)";		Content = "{DS0}";},

	{  Menu = Month;		},
	{  Item = "9";			Content = "{M}";},
	{  Item = "09";			Content = "{MM}";},
	{  Item = "Sep";			Content = "{N}";},
	{  Item = "September";		Content = "{NN}";},

	{  Menu = Year;		},
	{  Item = "04";			Content = "{YY}";},
	{  Item = "2004";		Content = "{YYYY}";},

	{  Menu = Week;		},
	{  Item = "ISO Week Number";			Content = "{W#ISO}";},
	{  Item = "U.S. Week Number";		Content = "{W#US}";},

	{  Menu = Time;		},
	{  Item = "Hour (1-12)";		Content = "{h12}";},
	{  Item = "Hour (01-12)";	Content = "{h012}";},
	{  Item = "Hour (0-23)";		Content = "{h24}";},
	{  Item = "Hour (00-23)";	Content = "{h024}";},
	{  Item = "-";},
	{  Item = "AM/PM";		Content = "{A}";},
	{  Item = "am/pm";		Content = "{a}";},
	{  Item = "-";},
	{  Item = "Minute";		Content = "{m}";},
	{  Item = "Second";		Content = "{s}";},
	{  Item = "-";},
	{  Item = "Time Zone Name (%@)";	Content = "{Z}";},

	{  Item = "Offset from UTC (%@)";	Content = "{z}";},
	{  Item = "Offset from UTC (+hh:mm)";	Content = "{zn}";},
	{  Item = "Offset from UTC (hours decimal: %@)";	Content = "{zh}";},

	{  Menu = "Date/Time Calculation"; },
	{  Item = "+/- Year";		Content = "{{yearDelta=[+1]}}";},
	{  Item = "+/- Month";		Content = "{{monthDelta=[+1]}}";},
	{  Item = "+/- Day";		Content = "{{dayDelta=[+1]}}";},
	{  Item = "-";},
	{  Item = "+/- Hour";		Content = "{{hourDelta=[+1]}}";},
	{  Item = "+/- Minute";		Content = "{{minuteDelta=[+1]}}";},
	{  Item = "+/- Second";		Content = "{{secondDelta=[+1]}}";},
	{  Item = "-";},
	{  Item = "Set Reference Date";	Content = "{{refDate=[yyyy-mm-dd]}}";},
	{  Item = "Set Reference Time";	Content = "{{refTime=[hh:mm:ss]}}";},
	{  Menu = "Language for Date Elements…";		Content = "{{dateLanguage=}}";},
	{  Menu = "Time Zone…";		Content = "{{timeZone=}}";},

	{  Menu = "-"; },
	{  Menu = "Key…";		Content = "{key}";},
	{  Menu = "Input field…";			Content = "{{?}}";},
	{  Menu = "Calculation…";			Content = "{{#}}";},
	{  Menu = "Inline Script…";		Content = "{/script}";},

	{  Menu = "Clipboard"; },
		{  Item = "Text from Clipboard";			Content = "{clip}";},
		{  Item = "Paste Clipboard";			Content = "{paste}";},

	{  Menu = "Variable"; },
	{  Item = "Insert variable";		Content = "{{[variable]}}";},
	{  Item = "Assign value to variable";	Content = "{{[variable]=value}}";},

	{  Menu = "Built-in Functions"; },
	{  Item = "Lowercase (abc)";		Content = "{/Lowercase [text]}";},
	{  Item = "Uppercase (ABC)";		Content = "{/Uppercase [text]}";},
	{  Item = "Capital (Abc)";			Content = "{/Capital [text]}";},
	{  Item = "Decode HTML";		Content = "{/DecodeHTML [text]}";},
	{  Item = "Encode HTML";		Content = "{/EncodeHTML [text]}";},
	{  Item = "Length";			Content = "{/Length [text]}";},
	{  Item = "Unicode Character";			Content = "{/Unicode [character number(s)]}";},
	{  Item = "-";},
	{  Item = "Left part";			Content = "{/Left [length/text/]}";},
	{  Item = "Right part";			Content = "{/Right [length/text/]}";},
	{  Item = "Middle part";			Content = "{/Mid [start/length/text/]}";},
	{  Item = "-";},
	{  Item = "Repeat";			Content = "{/Repeat [n/text/]}";},
	{  Item = "Case";			Content = "{/Case /[value]/case1/result1/case2/result2/…/…/default result/}";},
	{  Item = "Replace";			Content = "{/Replace [/original/replacement//text/]}";},
	{  Item = "Regular expression";		Content = "{/Regex [/original/replacement//text/]}";},
	{  Item = "-";},
	{  Item = "Choose one by index";		Content = "{/Choose [n]/text1/text2/text3/…/}";},
	{  Item = "Choose one by pattern";		Content = "{/Choose [pattern]/text1/text2/text3/…/}";},
	{  Item = "Choose random item";		Content = "{/Choose */[text1]/text2/text3/…/}";},
	{  Item = "-";},
	{  Item = "Number of matches";		Content = "{/Count [/pattern/text/]}";},
	{  Item = "n-th match";			Content = "{/Index [n/pattern/text/]}";},
	{  Item = "Any match";			Content = "{/Any [/pattern/text/]}";},
	{  Item = "List of matches";		Content = "{/List [/pattern/separator/text/]}";},
	{  Item = "-";},
	{  Item = "Extract part";			Content = "{/Extract [/before/after//text/]}";},
	{  Item = "Sort lines";			Content = "{/Sort [text]}";},
	{  Item = "Download URL";		Content = "{/URL http://[url]}";},

	{  Menu = "Control"; },
	{  Item = "Cursor Position";		Content = "{^}"; Shortcut = "="; },
	{  Item = "Expand other Abbreviation";	Content = "{\"[abbreviation]\"}";},
	{  Item = "Suppress this Replacement";	Content = "{X}";},
	{  Item = "Suppress next Replacement";	Content = "{X>}";},
	{  Item = "Delay";			Content = "{delay:[0.5]}";},

	{  Menu = "-"; },
	{  Menu = "Comment";			Content = "{{--[comment]}}"; },
	{  Menu = "Literal Braces { and }";	Content = "{.[enclosed text].}"; },
	{  Menu = "Non-Expanding Line Break";	Content = "↩\n";	Shortcut = "↩"; ShortcutModifiers = "⌥"; },
)
